<?php
// Soubor s funkcemi pro českou lokalizaci fóra bbPress (cs_CZ)...
// Vyzkoušet ještě jiné řešení pomocí filtru ngettext?
/*add_filter( 'ngettext', 'separatista_zmenit_aktualnost' );
function separatista_zmenit_aktualnost( $translated ) {
    $translated = str_replace( 'dny', 'dní', $translated );
    return $translated;
}*/

// 1) Různé české hodnoty podle odlišného skloňování funkce human_time_diff()...
// Podrobnosti: http://core.trac.wordpress.org/ticket/18495
add_filter( 'bbp_get_forum_freshness_link', 'separatista_bbpress_zmenit_aktualnost' );
add_filter( 'bbp_get_topic_freshness_link', 'separatista_bbpress_zmenit_aktualnost' );
function separatista_bbpress_zmenit_aktualnost( $anchor ) {
	$text_odkazu = strip_tags( $anchor );
	$pole = explode ( ' ', $text_odkazu );
	$anchor = str_replace( 'minutou', 'minuta', $anchor );
	if ( $pole[0] > 4 ) { $anchor = str_replace( 'minutami', 'minut', $anchor ); } else { $anchor = str_replace( 'minutami', 'minuty', $anchor ); }
  $anchor = str_replace( 'hodinou', 'hodina', $anchor );
  if ( $pole[0] > 4 ) { $anchor = str_replace( 'hodinami', 'hodin', $anchor ); } else { $anchor = str_replace( 'hodinami', 'hodiny', $anchor ); }
	$anchor = str_replace( 'dnem', 'den', $anchor );
  if ( $pole[0] > 4 ) { $anchor = str_replace( 'dny', 'dní', $anchor ); }
  return $anchor;
}
?>